### Method

# GLib OptionContext set_help_enabled

since: 2.6

#### Declaration [src]

    void
    g_option_context_set_help_enabled (
      GOptionContext* context,
      gboolean help_enabled
    )

#### Description [src]

Enables or disables automatic generation of `--help` output. By default, `g_option_context_parse()` recognizes `--help`, `-h`, `-?`, `--help-all` and `--help-groupname` and creates suitable output to stdout.

Available since: 2.6

#### Parameters

`help_enabled`

  Type: `gboolean`

  `TRUE` to enable `--help`, `FALSE` to disable it.